%global momorel 2
%global xfce4ver 4.4.2

Name:		xfce4-cddrive-plugin
Version:	0.0.1
Release:	%{momorel}m%{?dist}
Summary:	Xfce panel plugin for open or close a CD-ROM drive tray

Group:		User Interface/Desktops
License:	GPL
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
NoSource:	0
#Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= %{xfce4ver}
BuildRequires:	libxfcegui4-devel >= %{xfce4ver}
BuildRequires:	gettext
Requires:	xfce4-panel >= %{xfce4ver}

%description
xfce4-cddrive-plugin puts a button in the XFCE panel which allow to open
or close a CD-ROM drive tray.
Additionally, the button icon reports the content of the drive.
The icon indicates if there is a disc in the drive, if it is mounted,
and the type of the disc (regular CD-ROM, audio or DVD).
You can also mount or unmount the disc via the plugin's menu (the action appears
when a disc is in the drive).

%prep
%setup -q

%build
%configure --program-prefix=""
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/locale/*/*/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.1-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.1-1m)
- initial Momonga  package
